io.netty.handler.codec.redis

## Interface LastBulkStringRedisContent

All Superinterfaces:
  BulkStringRedisContent, io.netty.buffer.ByteBufHolder, RedisMessage, io.netty.util.ReferenceCounted

All Known Implementing Classes:
  DefaultLastBulkStringRedisContent, FullBulkStringRedisMessage

    @UnstableApi
    public interface LastBulkStringRedisContent
    extends BulkStringRedisContent

A last chunk of Bulk Strings.

### Field Summary

Fields
`static LastBulkStringRedisContent` `EMPTY_LAST_CONTENT` The 'end of content' marker in chunked encoding.

### Method Summary

All Methods Instance Methods Abstract Methods
`LastBulkStringRedisContent` `copy()`
`LastBulkStringRedisContent` `duplicate()`
`LastBulkStringRedisContent` `replace(io.netty.buffer.ByteBuf content)`
`LastBulkStringRedisContent` `retain()`
`LastBulkStringRedisContent` `retain(int increment)`
`LastBulkStringRedisContent` `retainedDuplicate()`
`LastBulkStringRedisContent` `touch()`
`LastBulkStringRedisContent` `touch(Object hint)`

### Methods inherited from interface io.netty.buffer.ByteBufHolder

`content`

### Methods inherited from interface io.netty.util.ReferenceCounted

`refCnt, release, release`

### Field Detail

#### EMPTY_LAST_CONTENT

    static final LastBulkStringRedisContent EMPTY_LAST_CONTENT

The 'end of content' marker in chunked encoding.

### Method Detail

#### copy

    LastBulkStringRedisContent copy()

Specified by:
  `copy` in interface `BulkStringRedisContent`
Specified by:
  `copy` in interface `io.netty.buffer.ByteBufHolder`

#### duplicate

    LastBulkStringRedisContent duplicate()

Specified by:
  `duplicate` in interface `BulkStringRedisContent`
Specified by:
  `duplicate` in interface `io.netty.buffer.ByteBufHolder`

#### retainedDuplicate

    LastBulkStringRedisContent retainedDuplicate()

Specified by:
  `retainedDuplicate` in interface `BulkStringRedisContent`
Specified by:
  `retainedDuplicate` in interface `io.netty.buffer.ByteBufHolder`

#### replace

    LastBulkStringRedisContent replace(io.netty.buffer.ByteBuf content)

Specified by:
  `replace` in interface `BulkStringRedisContent`
Specified by:
  `replace` in interface `io.netty.buffer.ByteBufHolder`

#### retain

    LastBulkStringRedisContent retain()

Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`

#### retain

    LastBulkStringRedisContent retain(int increment)

Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`

#### touch

    LastBulkStringRedisContent touch()

Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`

#### touch

    LastBulkStringRedisContent touch(Object hint)

Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`